For the complete documentation index, see llms.txt. This page is also available as Markdown.

Scenarios / Notes

List of scenario notes

get
/scenarios/{scenarioId}/notes

Retrieves a collection of all scenario notes for a team and organization with a given ID. Returned notes are sorted by their id in descending order.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
scenarioIdintegerRequired

The ID of the scenario. You can get the scenarioId with the List scenarios API call.

Example: 112
Query parameters
teamIdintegerRequired

The unique ID of the team whose scenarios folders will be retrieved.

Example: 1
organizationIdintegerOptionalExample: 11
Responses
200

Successful response

application/json
get/scenarios/{scenarioId}/notes
GET /api/v2/scenarios/{scenarioId}/notes?teamId=1 HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "notes": [
    {
      "id": 4,
      "scenarioId": 19,
      "moduleIds": [
        1
      ],
      "metadata": {
        "color": "#9138FE"
      },
      "content": "<p>This is a test note</p>",
      "created": "2025-09-01T12:58:42.994Z",
      "updated": null,
      "isFilterNote": false,
      "createdByUser": {
        "id": 2,
        "name": "John Doe",
        "email": "j.doe@make.com"
      },
      "updatedByUser": {}
    }
  ]
}

Create scenario note

post
/scenarios/{scenarioId}/notes

Creates a new scenario note with data passed in the request body. As the response, it returns all details of the created scenario note.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Body
moduleIdsinteger[]Optional
metadataobjectOptional
contentstringOptional
isFilterNotebooleanOptional
Responses
200

Created a Note

application/json
post/scenarios/{scenarioId}/notes
POST /api/v2/scenarios/{scenarioId}/notes HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 108

{
  "moduleIds": [
    1
  ],
  "metadata": {
    "color": "#9138FE"
  },
  "content": "<p>This is a test note</p>",
  "isFilterNote": false
}
200

Created a Note

{
  "note": {
    "id": 4,
    "scenarioId": 19,
    "moduleIds": [
      1
    ],
    "metadata": {
      "color": "#9138FE"
    },
    "content": "<p>This is a test note</p>",
    "created": "2025-09-01T12:58:42.994Z",
    "updated": null,
    "isFilterNote": false,
    "createdByUser": {
      "id": 2,
      "name": "John Doe",
      "email": "j.doe@make.com"
    },
    "updatedByUser": {}
  }
}

Get scenario note details

get
/scenarios/{scenarioId}/notes/{noteId}

Retrieves all available properties of a scenario note with a given ID.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
scenarioIdintegerRequired

The ID of the scenario. You can get the scenarioId with the List scenarios API call.

Example: 112
noteIdintegerRequired

The ID of the scenario module note.

Example: 4
Query parameters
teamIdintegerRequired

The unique ID of the team whose scenarios folders will be retrieved.

Example: 1
organizationIdintegerOptionalExample: 11
Responses
200

Successful response

application/json
get/scenarios/{scenarioId}/notes/{noteId}
GET /api/v2/scenarios/{scenarioId}/notes/{noteId}?teamId=1 HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "note": {
    "id": 4,
    "scenarioId": 19,
    "moduleIds": [
      1
    ],
    "metadata": {
      "color": "#9138FE"
    },
    "content": "<p>This is a test note</p>",
    "created": "2025-09-01T12:58:42.994Z",
    "updated": null,
    "isFilterNote": false,
    "createdByUser": {
      "id": 2,
      "name": "John Doe",
      "email": "j.doe@make.com"
    },
    "updatedByUser": {}
  }
}

Delete scenario note

delete
/scenarios/{scenarioId}/notes/{noteId}

Deletes a scenario note with a given ID and returns the ID in the response.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
scenarioIdintegerRequired

The ID of the scenario. You can get the scenarioId with the List scenarios API call.

Example: 112
noteIdintegerRequired

The ID of the scenario module note.

Example: 4
Query parameters
teamIdintegerRequired

The unique ID of the team whose scenarios folders will be retrieved.

Example: 1
organizationIdintegerOptionalExample: 11
Responses
200

Successful response

application/json
idintegerOptional
delete/scenarios/{scenarioId}/notes/{noteId}
DELETE /api/v2/scenarios/{scenarioId}/notes/{noteId}?teamId=1 HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "id": 123
}

Update scenario note

patch
/scenarios/{scenarioId}/notes/{noteId}

Updates a scenario note with a given ID by passing new values in the request body. Any property that is not provided will be left unchanged. In the response, it returns all details of the updated note including properties that were not changed.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
scenarioIdintegerRequired

The ID of the scenario. You can get the scenarioId with the List scenarios API call.

Example: 112
noteIdintegerRequired

The ID of the scenario module note.

Example: 4
Query parameters
teamIdintegerRequired

The unique ID of the team whose scenarios folders will be retrieved.

Example: 1
organizationIdintegerOptionalExample: 11
Body
moduleIdsinteger[]Optional
metadataobjectOptional
contentstringOptional
isFilterNotebooleanOptional
Responses
200

Note updated

application/json
patch/scenarios/{scenarioId}/notes/{noteId}
PATCH /api/v2/scenarios/{scenarioId}/notes/{noteId}?teamId=1 HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 108

{
  "moduleIds": [
    1
  ],
  "metadata": {
    "color": "#9138FE"
  },
  "content": "<p>This is a test note</p>",
  "isFilterNote": false
}
200

Note updated

{
  "note": {
    "id": 4,
    "scenarioId": 19,
    "moduleIds": [
      1
    ],
    "metadata": {
      "color": "#9138FE"
    },
    "content": "<p>This is a test note</p>",
    "created": "2025-09-01T12:58:42.994Z",
    "updated": null,
    "isFilterNote": false,
    "createdByUser": {
      "id": 2,
      "name": "John Doe",
      "email": "j.doe@make.com"
    },
    "updatedByUser": {}
  }
}

Last updated